<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Grafting](./bitburner.grafting.md) &gt; [getGraftableAugmentations](./bitburner.grafting.getgraftableaugmentations.md)

## Grafting.getGraftableAugmentations() method

Retrieves a list of Augmentations that can be grafted.

**Signature:**

```typescript
getGraftableAugmentations(): string[];
```
**Returns:**

string\[\]

An array of graftable Augmentations.

## Remarks

RAM cost: 5 GB

Note that this function returns a list of currently graftable Augmentations, based off of the Augmentations that you already own.

